Update site
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'root_path' => '<string>',
'directory' => '<string>',
'push_to_deploy' => false,
'repository_branch' => '<string>',
'deployment_retention' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"root_path": "<string>",
"directory": "<string>",
"push_to_deploy": false,
"repository_branch": "<string>",
"deployment_retention": 5
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
root_path: '<string>',
directory: '<string>',
push_to_deploy: false,
repository_branch: '<string>',
deployment_retention: 5
})
};
fetch('https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}"
payload := strings.NewReader("{\n \"root_path\": \"<string>\",\n \"directory\": \"<string>\",\n \"push_to_deploy\": false,\n \"repository_branch\": \"<string>\",\n \"deployment_retention\": 5\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Sites
Update site
Update a site on the server.
Processing mode: async
PUT
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
Update site
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'root_path' => '<string>',
'directory' => '<string>',
'push_to_deploy' => false,
'repository_branch' => '<string>',
'deployment_retention' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization slug
The server ID
The site ID
Body
application/json
Available options:
laravel, symfony, statamic, wordpress, phpmyadmin, php, nextjs, nuxtjs, static-html, other, custom Available options:
php5, php56-old, php56, php70, php71, php72, php73, php74, php80, php81, php82, php83, php84, php85 Automatically trigger a new deployment when changes are pushed to the environment's Git branch.
The number of zero downtime deployment releases that should be retained for the site.
Required range:
1 <= x <= 100Example:
5
Response
Accepted
Was this page helpful?